; Game Boy hardware interrupts

SECTION "vblank",ROM0[$40]
	jp VBlank

GetFarWRAMByte::
	call StackCallInWRAMBankA
.Function:
	ld a, [hl]
	ret

SECTION "lcd",ROM0[$48]
	jp LCD

GetFarByte::
; retrieve a single byte from a:hl, and return it in a.
	; bankswitch to new bank
	call StackCallInBankA
.Function:
	ld a, [hl]
	ret

SECTION "timer",ROM0[$50]
	scf
	reti

PlayStereoCry::
	call PlayStereoCry2
	jp WaitSFX

SECTION "serial",ROM0[$58]
	jp Serial

FarCopyWRAM::
	call StackCallInWRAMBankA

.Function:
	rst CopyBytes
	ret

SECTION "joypad",ROM0[$60]
	reti
